Jan 27, 2020, 01:34 PM

News:

How many easter eggs have you found....


QUICK NEWS

{NEW} - A new tutorial for Github is ready for your veiwing in the articles section.

{OLD} -New boards have been introduced. Stop on in and check it out.

Video of the week


Internal Links

SMF Sites

Quick Info

SMF 2.0.15 Posting error

Started by Ronald, Apr 23, 2019, 09:29 AM

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

Bigguy

Well, it has to be there somewhere.

Bigguy

If I have the right mod and I think I do. The install.php file has this in it:

$columns = $smcFunc['db_list_columns']('{db_prefix}topics');

if (!in_array('is_solved', $columns))
$smcFunc['db_add_column']('{db_prefix}topics', array('name' => 'is_solved', 'type' => 'tinyint', 'size' => 3));

Ronald

Apr 24, 2019, 09:27 AM #17 Last Edit: Apr 24, 2019, 09:32 AM by Ronald
Quote from: Bigguy on Apr 24, 2019, 07:10 AMIf I have the right mod and I think I do. The install.php file has this in it:

$columns = $smcFunc['db_list_columns']('{db_prefix}topics');

if (!in_array('is_solved', $columns))
 $smcFunc['db_add_column']('{db_prefix}topics', array('name' => 'is_solved', 'type' => 'tinyint', 'size' => 3));

There is no install.php that I can see.

Would it make any sense to run the large upgrade for SMF2.0.15 would this take care of his problems. I recall one of his errors saying to run the upgrade because some file is still 2.0.7

Maybe even run the SMF2.1 RC2 upgrade.


See this error I get when trying to make a topic and post.

QuoteField 'is_solved' doesn't have a default value
File: /home/stumpbur/public_html/forum/Sources/Subs-Post.php
Line: 1851

Note: It appears that your database may require an upgrade. Your forum's files are currently at version SMF 2.0.15, while your database is at version 2.0.7. The above error might possibly go away if you execute the latest version of upgrade.php.

Skhilled

I've always suggested that when you see that upgrade error message that you should upload all of the upgrade.*** files from the latest upgrade package and run: https://your_forum.com/upgrade.php. However, SMF has had issues with the upgrade working properly for the past couple of years and won't fix it saying it is not needed to be fixed although it does not work! It used to work for many years then they stopped fixing it so it would work.

If I remember correctly, the latest version, 2.0.15, does work finally. So, unzip the "upgrade" package of SMF 2.0.15 and only upload the "upgrade.***" files to the root folder and run it. Hopefully it will fix it or get you to a point where you can fix it.

Ronald

Not all the files?

See all the files and point me to the proper one.

You cannot see attachments on this board.

Bigguy

Anything that says upgrade.

Skhilled

Apr 24, 2019, 10:00 AM #21 Last Edit: Apr 24, 2019, 10:02 AM by Skhilled
All of the "upgrade.***" files at the bottom, 6 of them. You should remember me doing this for some of your sites quite awhile back. LOL You also don't have any file extensions showing which would help you a lot to make sure you are using the correct files.

EDIT: The first one is the main upgrade file that you'll run in your browser. The others are database files that will help upgrade your database to its proper version.

Ronald

Beast wants to upgrade to SMF 2.1 RC2.. Do I run the smf 2.1 RC2 large upgrade

SychO

Upgrading will not fix it, there is an is_solved database column that you have to remove or give a default value to, that's the only thing that'll fix it

Ronald

Quote from: SychO on Apr 24, 2019, 11:31 AMUpgrading will not fix it, there is an is_solved database column that you have to remove or give a default value to, that's the only thing that'll fix it

OK I'll have to start checking for it. He did have Topic Solved installed a long time ago.. Trouble is there are bout 12 files to check.

Bigguy

It's in the database. That is were it is....somewhere.

Ronald

Quote from: Bigguy on Apr 24, 2019, 12:46 PMIt's in the database. That is were it is....somewhere.

Somewhere is a large area.

I went through 16 files that I downloaded, and used Context to check them.

I came across 4 files that have code missing, what I mean is the code that is original is missing..

Bigguy

Core code from SMF or mod code is missing.

Ronald

Quote from: Bigguy on Apr 24, 2019, 01:27 PMCore code from SMF or mod code is missing.

Can not locate any of the code from the Mod Topic Solved.. It has to be the smf core codes that are missing..

Later on I am going to double check the files again..

Ronald